play.libs

## Class F.Timeout

- java.lang.Object
- - play.libs.F.Promise<F.Timeout>
  - - play.libs.F.Timeout

- All Implemented Interfaces:
    java.util.concurrent.Future<F.Timeout>, F.Action<F.Timeout>
  Enclosing class:
    F

      public static class F.Timeout
      extends F.Promise<F.Timeout>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `delay`
    `java.lang.String` | `token`

    - ### Fields inherited from class play.libs.F.Promise

      `callbacks, cancelled, exception, invoked, result, taskLock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timeout(long delay)`
    `Timeout(java.lang.String delay)`
    `Timeout(java.lang.String token, long delay)`
    `Timeout(java.lang.String token, java.lang.String delay)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class play.libs.F.Promise

      `cancel, get, get, getOrNull, invoke, invokeWithException, invokeWithResultOrException, isCancelled, isDone, onRedeem, wait2, wait3, wait4, wait5, waitAll, waitAll, waitAny, waitEither, waitEither, waitEither, waitEither`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### token

          public final java.lang.String token

    - #### delay

          public final long delay

  - ### Constructor Detail

    - #### Timeout

          public Timeout(java.lang.String delay)

    - #### Timeout

          public Timeout(java.lang.String token,
                         java.lang.String delay)

    - #### Timeout

          public Timeout(long delay)

    - #### Timeout

          public Timeout(java.lang.String token,
                         long delay)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly